Bug 428148 - Startup Script init.d/iptables no longer does a condrestart or change of behaviour
Startup Script init.d/iptables no longer does a condrestart or change of beha...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 11:29 EST by Colin Simpson
Modified: 2008-06-12 22:26 EDT (History)
0 users

See Also:
Fixed In Version: 1.3.8-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 22:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Simpson 2008-01-09 11:29:00 EST
Description of problem:

The original init.d/iptables scripts used to have:

condrestart)
[ -e "$VAR_SUBSYS_IPTABLES" ] && restart

In F8 this has become,

condrestart|try-restart)
[ -f "$VAR_SUBSYS_IPTABLES" ] && exit 0

So if iptables is already running (has subsys lock file) exit. 

Is this a deliberate change of behaviour or broken?

If a change, how do we replicate the original behaviour of reloading the rules
file if iptables if already running.
Comment 1 Colin Simpson 2008-05-26 12:35:22 EDT
This seems to have been fixed in Fedora 9.

  condrestart|try-restart)
        [ ! -e "$VAR_SUBSYS_IPTABLES" ] && exit 0
        restart
        RETVAL=$?

So now looks right, if lock does not exist it exits.

Should I close ? Or given that it's still broken in F8 should I leave?
Comment 2 Fedora Update System 2008-05-26 12:45:35 EDT
iptables-1.3.8-7.fc8 has been submitted as an update for Fedora 8
Comment 3 Thomas Woerner 2008-05-26 12:47:50 EDT
Oups, my fault. Package has been built for F-8 a long time ago, but there was no
update.
Comment 4 Fedora Update System 2008-05-28 22:50:57 EDT
iptables-1.3.8-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iptables'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4628
Comment 5 Fedora Update System 2008-06-12 22:26:02 EDT
iptables-1.3.8-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.